stages:
  - build

build:
  stage: build
  image: docker-registry.wikimedia.org/bullseye:latest
  script:
    - apt-get update
    - apt-get install -y ca-certificates golang-1.19-go pkg-config build-essential librdkafka-dev
    - update-alternatives --install /usr/bin/go go /usr/lib/go-1.19/bin/go 100 --slave /usr/bin/gofmt gofmt /usr/lib/go-1.19/bin/gofmt
    - make build
    - make test
  artifacts:
    paths:
      - ./purged
